Retrieve an agent
Retrieve an agent and its configuration, repository associations, and run summary.
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const agent = await client.agents.retrieve('7c9e6679-7425-40de-944b-e07fc1f90ae7');curl --request GET \
--url https://api.tembo.io/v1/agents/{agentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tembo.io/v1/agents/{agentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tembo.io/v1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/agents/{agentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/agents/{agentId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tembo.io/v1/agents/{agentId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/agents/{agentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key": "<string>",
"sandboxSize": "nano",
"projectId": "<string>",
"templateId": "<string>",
"script": "<string>",
"artifactType": "PullRequest",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"enabledAt": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"organizationName": "<string>",
"createdBy": "<string>",
"instructions": {
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Hello"
}
]
}
]
},
"agent": "<string>",
"agentOptions": {
"reasoningLevel": "<string>",
"mode": "normal",
"speed": "normal",
"goal": {
"enabled": true,
"objective": "<string>"
}
},
"mcpServers": [
"<string>"
],
"userState": {},
"codeRepositories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner": "<string>",
"integrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationType": "<string>"
}
],
"lastRun": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"durationMs": 123,
"errorMessage": "<string>"
},
"runCount": 1,
"scheduleCount": 1,
"triggerCount": 1,
"hasPausedSchedule": true,
"hasPausedTrigger": true,
"integrationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"integrationTypes": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Retrieve an agent
nano, micro, small, medium, large, xl, xxl, ultra, null PullRequest, ToolCall, Plan, Response, File, Service, Source, null 1 - 255Instructions for the agent as a rich-text document. Mentions can reference integrations used by the agent.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
{
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [{ "type": "text", "text": "Hello" }]
}
]
}
Runtime and model selection key; not the ID of an agent resource.
Execution settings for the selected agent runtime, including provider-specific options.
- Option 1
- Option 2
Show child attributes
Show child attributes
Selected MCP server identifiers, including built-in server keys.
1001 - 200User-defined state keyed by name. Values may be any JSON value, including nested objects and arrays. No application-specific keys are required.
Show child attributes
Show child attributes
250Show child attributes
Show child attributes
Show child attributes
Show child attributes
x >= 0x >= 0x >= 0Was this page helpful?
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const agent = await client.agents.retrieve('7c9e6679-7425-40de-944b-e07fc1f90ae7');curl --request GET \
--url https://api.tembo.io/v1/agents/{agentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tembo.io/v1/agents/{agentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tembo.io/v1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/agents/{agentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/agents/{agentId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tembo.io/v1/agents/{agentId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/agents/{agentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key": "<string>",
"sandboxSize": "nano",
"projectId": "<string>",
"templateId": "<string>",
"script": "<string>",
"artifactType": "PullRequest",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"enabledAt": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"organizationName": "<string>",
"createdBy": "<string>",
"instructions": {
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Hello"
}
]
}
]
},
"agent": "<string>",
"agentOptions": {
"reasoningLevel": "<string>",
"mode": "normal",
"speed": "normal",
"goal": {
"enabled": true,
"objective": "<string>"
}
},
"mcpServers": [
"<string>"
],
"userState": {},
"codeRepositories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner": "<string>",
"integrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationType": "<string>"
}
],
"lastRun": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"durationMs": 123,
"errorMessage": "<string>"
},
"runCount": 1,
"scheduleCount": 1,
"triggerCount": 1,
"hasPausedSchedule": true,
"hasPausedTrigger": true,
"integrationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"integrationTypes": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}